curl --request POST \
--url 'https://api.adside.ai/google-ads/mcp#create_responsive_search_ad' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "<string>",
"method": "<string>",
"params": {
"name": "<string>",
"arguments": {
"ad_group_id": "<string>",
"final_urls": [
"<string>"
],
"headlines": [
{
"text": "<string>",
"pinned_field": "HEADLINE_1"
}
],
"descriptions": [
{
"text": "<string>",
"pinned_field": "DESCRIPTION_1"
}
],
"customer_id": "<string>",
"path1": "<string>",
"path2": "<string>",
"status": "PAUSED"
}
},
"id": "1"
}
'{
"jsonrpc": "<string>",
"id": "<string>",
"result": {
"content": [
{
"type": "<string>",
"text": "<string>"
}
]
}
}Create a Responsive Search Ad (RSA) with 3-15 headlines and 2-4 descriptions. Google tests combinations to find best performers.
curl --request POST \
--url 'https://api.adside.ai/google-ads/mcp#create_responsive_search_ad' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "<string>",
"method": "<string>",
"params": {
"name": "<string>",
"arguments": {
"ad_group_id": "<string>",
"final_urls": [
"<string>"
],
"headlines": [
{
"text": "<string>",
"pinned_field": "HEADLINE_1"
}
],
"descriptions": [
{
"text": "<string>",
"pinned_field": "DESCRIPTION_1"
}
],
"customer_id": "<string>",
"path1": "<string>",
"path2": "<string>",
"status": "PAUSED"
}
},
"id": "1"
}
'{
"jsonrpc": "<string>",
"id": "<string>",
"result": {
"content": [
{
"type": "<string>",
"text": "<string>"
}
]
}
}API key (sk_live_*) — SHA256 hashed, looked up in Redis. Generate via the web app's workspace settings.